import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class LocalView extends StatelessWidget {
  const LocalView({super.key});

  @override
  Widget build(BuildContext context) {
    final Map<String, dynamic> creationParams = <String, dynamic>{};

    return AndroidView(
      viewType: "liblinphone_flutter.nuark.xyz/local_view",
      creationParams: creationParams,
      creationParamsCodec: const StandardMessageCodec(),
      onPlatformViewCreated: (int id) {
        print("onPlatformViewCreated: created LocalView with id $id");
      },
    );
  }
}
